Read Topic Monitor
curl --request GET \
--url https://api.sigmora.org/v1/topic-monitors/{brandId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/topic-monitors/{brandId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/topic-monitors/{brandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"config": {
"id": "<string>",
"contentBrandId": "<string>",
"enabled": true,
"platforms": [
"youtube_shorts"
],
"regionCode": "<string>",
"discoveryIntervalMinutes": 0,
"refreshIntervalMinutes": 0,
"minimumSourceCount": 0,
"notification": {
"inApp": true,
"email": true,
"minimumScore": 50,
"minimumEvidence": 10
},
"searchDemand": {
"enabled": true,
"maxQueries": 2
},
"queryPlan": {
"version": "<string>",
"primaryThemeId": "<string>",
"themeIds": [
"<string>"
],
"seedTerms": [
"<string>"
],
"queries": [
{
"platform": "youtube_shorts",
"terms": [
"<string>"
],
"intents": [
"momentum"
]
}
],
"compiledAt": "2023-11-07T05:31:56Z",
"basis": [
"<string>"
],
"intent": "<string>",
"excludeKeywords": [
"<string>"
]
},
"lastDiscoveryAt": "2023-11-07T05:31:56Z",
"lastRefreshAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Read Topic Monitor
Read one channel-owned Topic Monitor configuration.
GET
/
v1
/
topic-monitors
/
{brandId}
Read Topic Monitor
curl --request GET \
--url https://api.sigmora.org/v1/topic-monitors/{brandId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/topic-monitors/{brandId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/topic-monitors/{brandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"config": {
"id": "<string>",
"contentBrandId": "<string>",
"enabled": true,
"platforms": [
"youtube_shorts"
],
"regionCode": "<string>",
"discoveryIntervalMinutes": 0,
"refreshIntervalMinutes": 0,
"minimumSourceCount": 0,
"notification": {
"inApp": true,
"email": true,
"minimumScore": 50,
"minimumEvidence": 10
},
"searchDemand": {
"enabled": true,
"maxQueries": 2
},
"queryPlan": {
"version": "<string>",
"primaryThemeId": "<string>",
"themeIds": [
"<string>"
],
"seedTerms": [
"<string>"
],
"queries": [
{
"platform": "youtube_shorts",
"terms": [
"<string>"
],
"intents": [
"momentum"
]
}
],
"compiledAt": "2023-11-07T05:31:56Z",
"basis": [
"<string>"
],
"intent": "<string>",
"excludeKeywords": [
"<string>"
]
},
"lastDiscoveryAt": "2023-11-07T05:31:56Z",
"lastRefreshAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
A workspace API key.
Path Parameters
The Brand whose discovery plan this is. GET /v1/brands lists them.
Required string length:
1 - 200Example:
"brd_4b81"